Subject: [RFC PATCH] iommu: add ARM short descriptor page table allocator.

From: [email-masked] (Will Deacon)
Date: Mon, 11 May 2015 11:40:31 +0100

On Mon, May 11, 2015 at 11:13:09AM +0100, Joerg Roedel wrote:
> On Tue, May 05, 2015 at 06:05:41PM +0100, Will Deacon wrote:
> > I think the MT8173 IOMMU [1] uses this format and, since it's part of
> > the ARM architecture, the ARM SMMU can make use of it too if the
> > implementation supports it.
> 
> I think it makes more sense to merge this with a driver actually using
> it. I guess a driver for the above mentioned IOMMU will be submitted
> soon?

I completely agree; since there are already patches floating around for
that IOMMU, it's probably worth them being put into a single series.

Will